
import java.applet.*;
import java.awt.*;
import java.lang.*;


         
public class se extends Applet
{
    
    public static String[] radar_name = { "MON", "NYC", "ALB", "ROM", "SYR",
                        "ROC", "BUF", "SPF", "BOS"};
    public static double[][] radar_loc ={{-73.36, 45.30,500}, 
                                         {-73.94, 40.78,500},
                                         {-73.79, 42.66,500}, 
                                         {-75.48, 43.22,500},
                                         {-76.14, 43.04,500},
                                         {-77.61, 43.16,500},
                                         {-78.85, 42.88,500},
                                         {-72.53, 42.11,500},
                                         {-71.01, 42.33,500} };

    public static double[][] ac0_loc ={  {-70,    40.15, 1000, 0}, 
                                         {-72,    40.15, 1000, 15},
                                         {-73.94, 40.66, 1000, 30}, 
                                         {-73.80, 42.66, 1000, 45},
                                         {-75.49, 43.22, 1000, 60} };

    public static double[][] ac1_loc ={  {-78,    43.8,  30000, 10}, 
                                         {-73.94, 40.66, 30000, 20},
                                         {-72,    40,    30000, 30}, 
                                         {  0,     0,    0,      0},
                                         {  0,     0,    0,      0} };

    public static double[][] ac2_loc ={  {-71.02, 42.33, 20000, 5}, 
                                         {-73.80, 42.66, 20000, 20},
                                         {-78.86, 42.89, 20000, 45},
                                         {  0,     0,    0,      0},
                                         {  0,     0,    0,      0} };

                                         
    public static double[][] ac3_loc ={  {-79.98, 40.44, 5000,  15}, 
                                         {-76.14, 43.04, 5000,  35},
                                         {-73.50, 45.51, 5000,  65},               
                                         {  0,     0,    0,      0},
                                         {  0,     0,    0,      0} };

    
    public static int ac0_leg=4;
    public static int ac1_leg=2;
    public static int ac2_leg=2;
    public static int ac3_leg=2;

    public static double maxrange, minelevation;
    public static double[][] ac_cur_location = new double[4][2]; 
    public static double[][][] ac_cur_rae = new double[9][4][3]; 
 
    ACFrame  ac0, ac1, ac2, ac3;
    RFrame   r0, r1, r2, r3, r4, r5, r6, r7, r8;

    SimFrame simframe;
    int count;
    TrackCanvas   canvas;
    ROCC  Rocc;
   
   
    public  void init()
     {   setLayout(null);
  

         add(Rocc = new ROCC(this));
         Rocc.reshape(0,10, 180, 500);
    

         add(canvas = new TrackCanvas(this));
         canvas.reshape(185,5,800,500);
	
         simframe = new SimFrame("SIMULATION", this);
 
          ac0 = new ACFrame(ac0_leg,
                           ac0_loc[0][0], ac0_loc[0][1], ac0_loc[0][2], ac0_loc[0][3],
                           ac0_loc[1][0], ac0_loc[1][1], ac0_loc[1][2], ac0_loc[1][3],
                           ac0_loc[2][0], ac0_loc[2][1], ac0_loc[2][2], ac0_loc[2][3],
                           ac0_loc[3][0], ac0_loc[3][1], ac0_loc[3][2], ac0_loc[3][3],
                           ac0_loc[4][0], ac0_loc[4][1], ac0_loc[4][2], ac0_loc[4][3]);

         ac1 = new ACFrame(ac1_leg,
                           ac1_loc[0][0], ac1_loc[0][1], ac1_loc[0][2], ac1_loc[0][3],
                           ac1_loc[1][0], ac1_loc[1][1], ac1_loc[1][2], ac1_loc[1][3],
                           ac1_loc[2][0], ac1_loc[2][1], ac1_loc[2][2], ac1_loc[2][3],
                           ac1_loc[3][0], ac1_loc[3][1], ac1_loc[3][2], ac1_loc[3][3],
                           ac1_loc[4][0], ac1_loc[4][1], ac1_loc[4][2], ac1_loc[4][3]);
         ac2 = new ACFrame(ac2_leg,
                           ac2_loc[0][0], ac2_loc[0][1], ac2_loc[0][2], ac2_loc[0][3],
                           ac2_loc[1][0], ac2_loc[1][1], ac2_loc[1][2], ac2_loc[1][3],
                           ac2_loc[2][0], ac2_loc[2][1], ac2_loc[2][2], ac2_loc[2][3],
                           ac2_loc[3][0], ac2_loc[3][1], ac2_loc[3][2], ac2_loc[3][3],
                           ac2_loc[4][0], ac2_loc[4][1], ac2_loc[4][2], ac2_loc[4][3]);
         ac3 = new ACFrame(ac3_leg,
                           ac3_loc[0][0], ac3_loc[0][1], ac3_loc[0][2], ac3_loc[0][3],
                           ac3_loc[1][0], ac3_loc[1][1], ac3_loc[1][2], ac3_loc[1][3],
                           ac3_loc[2][0], ac3_loc[2][1], ac3_loc[2][2], ac3_loc[2][3],
                           ac3_loc[3][0], ac3_loc[3][1], ac3_loc[3][2], ac3_loc[3][3],
                           ac3_loc[4][0], ac3_loc[4][1], ac3_loc[4][2], ac3_loc[4][3]);
 
 
         r0 = new RFrame(4, radar_loc[0][0], radar_loc[0][1], radar_loc[0][2]);
         r1 = new RFrame(4, radar_loc[1][0], radar_loc[1][1], radar_loc[0][2]);
         r2 = new RFrame(4, radar_loc[2][0], radar_loc[2][1], radar_loc[0][2]);
         r3 = new RFrame(4, radar_loc[3][0], radar_loc[3][1], radar_loc[0][2]);
         r4 = new RFrame(4, radar_loc[4][0], radar_loc[4][1], radar_loc[0][2]);
         r5 = new RFrame(4, radar_loc[5][0], radar_loc[5][1], radar_loc[0][2]);
         r6 = new RFrame(4, radar_loc[6][0], radar_loc[6][1], radar_loc[0][2]);
         r7 = new RFrame(4, radar_loc[7][0], radar_loc[7][1], radar_loc[0][2]);
         r8 = new RFrame(4, radar_loc[8][0], radar_loc[8][1], radar_loc[0][2]);
          
	      
       }/* end init() */


    public void set_ac_cur_rae(int radar, int ac)
     {  switch(radar)
        {   case 0 : ac_cur_rae[radar][ac][0] = r0.Range;
                     ac_cur_rae[radar][ac][1] = r0.Azimuth;
                     ac_cur_rae[radar][ac][2] = r0.Elevation;
                     break;
	    case 1 : ac_cur_rae[radar][ac][0] = r1.Range;
                     ac_cur_rae[radar][ac][1] = r1.Azimuth;
                     ac_cur_rae[radar][ac][2] = r1.Elevation;
                     break;
	    case 2 : ac_cur_rae[radar][ac][0] = r2.Range;
                     ac_cur_rae[radar][ac][1] = r2.Azimuth;
                     ac_cur_rae[radar][ac][2] = r2.Elevation;
                     break;
	    case 3 : ac_cur_rae[radar][ac][0] = r3.Range;
                     ac_cur_rae[radar][ac][1] = r3.Azimuth;
                     ac_cur_rae[radar][ac][2] = r3.Elevation;
                     break;
	    case 4 : ac_cur_rae[radar][ac][0] = r4.Range;
                     ac_cur_rae[radar][ac][1] = r4.Azimuth;
                     ac_cur_rae[radar][ac][2] = r4.Elevation;
                     break;
	    case 5 : ac_cur_rae[radar][ac][0] = r5.Range;
                     ac_cur_rae[radar][ac][1] = r5.Azimuth;
                     ac_cur_rae[radar][ac][2] = r5.Elevation;
                     break;
	    case 6 : ac_cur_rae[radar][ac][0] = r6.Range;
                     ac_cur_rae[radar][ac][1] = r6.Azimuth;
                     ac_cur_rae[radar][ac][2] = r6.Elevation;
                     break;
            case 7 : ac_cur_rae[radar][ac][0] = r7.Range;
                     ac_cur_rae[radar][ac][1] = r7.Azimuth;
                     ac_cur_rae[radar][ac][2] = r7.Elevation;
                     break;
	    case 8 : ac_cur_rae[radar][ac][0] = r8.Range;
                     ac_cur_rae[radar][ac][1] = r8.Azimuth;
                     ac_cur_rae[radar][ac][2] = r8.Elevation;
                     break;
          }
			

        } /* end set_ac_cur_rae() */


     public void paint(Graphics g)
        { 
           g.setColor(Color.white);
           g.drawLine(184, 4, 986, 4);
           g.drawLine(183, 3, 987, 3);
           g.drawLine(184, 4, 184, 506);
           g.drawLine(183, 3, 183, 507);


           g.setColor(Color.black);
           g.drawLine(184, 506, 986, 506);
           g.drawLine(183, 507, 987, 507);
           g.drawLine(986, 506, 986, 4);
           g.drawLine(987, 507, 987, 3);
 
         }




}/* end class se */




